KDE 4.9 PyKDE API Reference

- KDE's Python API

# DBusModel Class Reference

`from PyKDE4.soprano import *`

Inherits: Soprano.StorageModel → Soprano.Model → QObject
Namespace: Soprano.Client

## Detailed Description

## Methods

| __init__ (self, QString serviceName, QString dbusObject, Soprano.Backend backend=0)
Soprano.Error.ErrorCode | addStatement (self, Soprano.Statement statement)
bool | asyncCalls (self)
bool | containsAnyStatement (self, Soprano.Statement statement)
bool | containsStatement (self, Soprano.Statement statement)
Soprano.Node | createBlankNode (self)
Soprano.QueryResultIterator | executeQuery (self, QString query, Soprano.Query.QueryLanguage language, QString userQueryLanguage=QString())
bool | isEmpty (self)
Soprano.NodeIterator | listContexts (self)
Soprano.StatementIterator | listStatements (self, Soprano.Statement partial)
Soprano.Error.ErrorCode | removeAllStatements (self, Soprano.Statement statement)
Soprano.Error.ErrorCode | removeStatement (self, Soprano.Statement statement)
| setAsyncCalls (self, bool b)
int | statementCount (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | serviceName,
|  | QString | dbusObject,
|  | Soprano.Backend | backend=0
| ) |  |  |

Soprano.Error.ErrorCode addStatement | ( | self, |
|  | Soprano.Statement | statement
| ) |  |  |

bool asyncCalls | ( |  | self ) |

bool containsAnyStatement | ( | self, |
|  | Soprano.Statement | statement
| ) |  |  |

bool containsStatement | ( | self, |
|  | Soprano.Statement | statement
| ) |  |  |

Soprano.Node createBlankNode | ( |  | self ) |

Soprano.QueryResultIterator executeQuery | ( | self, |
|  | QString | query,
|  | Soprano.Query.QueryLanguage | language,
|  | QString | userQueryLanguage=QString()
| ) |  |  |

bool isEmpty | ( |  | self ) |

Soprano.NodeIterator listContexts | ( |  | self ) |

Soprano.StatementIterator listStatements | ( | self, |
|  | Soprano.Statement | partial
| ) |  |  |

Soprano.Error.ErrorCode removeAllStatements | ( | self, |
|  | Soprano.Statement | statement
| ) |  |  |

Soprano.Error.ErrorCode removeStatement | ( | self, |
|  | Soprano.Statement | statement
| ) |  |  |

setAsyncCalls | ( | self, |
|  | bool | b
| ) |  |  |

int statementCount | ( |  | self ) |